Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity
Class EntityTracker

    java.lang.Object
      net.minecraft.entity.EntityTracker

    public class EntityTracker

extends Object

Constructor Summary
`EntityTracker(WorldServer par1WorldServer)`

Method Summary
`void` | `addEntityToTracker(Entity par1Entity)` if entity is a player sends all tracked events to the player, otherwise, adds with a visibility and update arate based on the class type
`void` | `addEntityToTracker(Entity par1Entity, int par2, int par3)`
`void` | `addEntityToTracker(Entity par1Entity, int par2, int par3, boolean par4)`
`void` | `func_85172_a(EntityPlayerMP par1EntityPlayerMP, Chunk par2Chunk)`
`void` | `removeAllTrackingPlayers(EntityPlayerMP par1EntityPlayerMP)`
`void` | `removeEntityFromAllTrackingPlayers(Entity par1Entity)`
`void` | `sendPacketToAllAssociatedPlayers(Entity par1Entity, Packet par2Packet)` sends to the entity if the entity is a player
`void` | `sendPacketToAllPlayersTrackingEntity(Entity par1Entity, Packet par2Packet)` does not send the packet to the entity if the entity is a player
`void` | `updateTrackedEntities()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityTracker

    public EntityTracker(WorldServer par1WorldServer)

Method Detail

### addEntityToTracker

    public void addEntityToTracker(Entity par1Entity)

  if entity is a player sends all tracked events to the player, otherwise, adds with a visibility and update arate based on the class type

### addEntityToTracker

    public void addEntityToTracker(Entity par1Entity,
                                   int par2,
                                   int par3)

### addEntityToTracker

    public void addEntityToTracker(Entity par1Entity,
                                   int par2,
                                   int par3,
                                   boolean par4)

### removeEntityFromAllTrackingPlayers

    public void removeEntityFromAllTrackingPlayers(Entity par1Entity)

### updateTrackedEntities

    public void updateTrackedEntities()

### sendPacketToAllPlayersTrackingEntity

    public void sendPacketToAllPlayersTrackingEntity(Entity par1Entity,
                                                     Packet par2Packet)

  does not send the packet to the entity if the entity is a player

### sendPacketToAllAssociatedPlayers

    public void sendPacketToAllAssociatedPlayers(Entity par1Entity,
                                                 Packet par2Packet)

  sends to the entity if the entity is a player

### removeAllTrackingPlayers

    public void removeAllTrackingPlayers(EntityPlayerMP par1EntityPlayerMP)

### func_85172_a

    public void func_85172_a(EntityPlayerMP par1EntityPlayerMP,
                             Chunk par2Chunk)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD